import { ShapeSeriesBase } from "./ShapeSeriesBase";
import { StyleSelector } from "./StyleSelector";
import { Style } from "igniteui-react-core";
import { Type, Point } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { ShapeSeriesViewBase } from "./ShapeSeriesViewBase";
import { DataContext } from "igniteui-react-core";
import { FrameworkElement } from "igniteui-react-core";
import { PathGeometry } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { PointCollection } from "igniteui-react-core";
import { Rect } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class ScatterPolylineSeries extends ShapeSeriesBase {
    static $t: Type;
    constructor();
    protected bp(): SeriesView;
    protected get_o3(): boolean;
    kk(a: SeriesView): void;
    protected qx: ScatterPolylineSeriesView;
    protected get_o8(): boolean;
    qy: StyleSelector;
    q3: Style;
    protected kp(a: any, b: string, c: any, d: any): void;
    protected qh(a: SeriesView): void;
    as(a: Point, b: boolean): DataContext;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class ScatterPolylineSeriesView extends ShapeSeriesViewBase {
    static $t: Type;
    constructor(a: ScatterPolylineSeries);
    protected c2(a: number, b: List$1<PointCollection>): PathGeometry;
    cj(a: FrameworkElement, b: any, c: boolean): void;
    protected ch(a: FrameworkElement, b: PathGeometry): void;
    protected ac(a: number): any;
    protected ab(a: number): any;
    b8(a: Rect): boolean;
    getDefaultTooltipTemplate(): string;
}
